# Class VulkanComputeWorkGroupCount.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanComputeWorkGroupCount.Builder

Enclosing class:
  `VulkanComputeWorkGroupCount`

public static final class VulkanComputeWorkGroupCount.Builder extends Object
Builds instances of type `VulkanComputeWorkGroupCount`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanComputeWorkGroupCount`
  `build()`
  Builds a new `VulkanComputeWorkGroupCount`.
  `final VulkanComputeWorkGroupCount.Builder`
  `from(VulkanComputeWorkGroupCountType instance)`
  Fill a builder with attribute values from the provided `VulkanComputeWorkGroupCountType` instance.
  `final VulkanComputeWorkGroupCount.Builder`
  `setMaximumX(int maximumX)`
  Initializes the value for the `maximumX` attribute.
  `final VulkanComputeWorkGroupCount.Builder`
  `setMaximumY(int maximumY)`
  Initializes the value for the `maximumY` attribute.
  `final VulkanComputeWorkGroupCount.Builder`
  `setMaximumZ(int maximumZ)`
  Initializes the value for the `maximumZ` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanComputeWorkGroupCount.Builder from(VulkanComputeWorkGroupCountType instance)
    Fill a builder with attribute values from the provided `VulkanComputeWorkGroupCountType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumX

    public final VulkanComputeWorkGroupCount.Builder setMaximumX(int maximumX)
    Initializes the value for the `maximumX` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `maximumX`.

    Parameters:
      `maximumX` - The value for maximumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumY

    public final VulkanComputeWorkGroupCount.Builder setMaximumY(int maximumY)
    Initializes the value for the `maximumY` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `maximumY`.

    Parameters:
      `maximumY` - The value for maximumY
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumZ

    public final VulkanComputeWorkGroupCount.Builder setMaximumZ(int maximumZ)
    Initializes the value for the `maximumZ` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `maximumZ`.

    Parameters:
      `maximumZ` - The value for maximumZ
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanComputeWorkGroupCount build()
    Builds a new `VulkanComputeWorkGroupCount`.
    Returns:
      An immutable instance of VulkanComputeWorkGroupCount
    Throws:
      `IllegalStateException` - if any required attributes are missing